package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class CourseTimeDto {


    @ApiModelProperty(value = "课程类型", required = true)
    private CourseSchedule.CourseScheduleType courseType;

    @ApiModelProperty(value = "排课星期几")
    private Integer dayOfWeek;

    @ApiModelProperty(value = "开始排课日期，如果有值，则单独循环")
    private Date startDate;

    @ApiModelProperty(value = "结束排课日期")
    private Date endDate;

    @ApiModelProperty(value = "上课开始时间")
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间")
    private String endClassTime;

    @ApiModelProperty(value = "预计排课次数")
    private int expectCourseNum;

    @ApiModelProperty(value = "预计排课时长")
    private int expectCourseMinutes;

    @ApiModelProperty(value = "已生成课程数量")
    private int courseNum;

    @ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过", required = true)
    private Boolean isHoliday = false;

    @ApiModelProperty(value = "老师设置", required = true)
    private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

    public int getExpectCourseMinutes() {
        return expectCourseMinutes;
    }

    public void setExpectCourseMinutes(int expectCourseMinutes) {
        this.expectCourseMinutes = expectCourseMinutes;
    }

    public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
        return classGroupTeacherMapperList;
    }

    public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
        this.classGroupTeacherMapperList = classGroupTeacherMapperList;
    }

    public Boolean getHoliday() {
        return isHoliday;
    }

    public void setHoliday(Boolean holiday) {
        isHoliday = holiday;
    }

    public CourseSchedule.CourseScheduleType getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseSchedule.CourseScheduleType courseType) {
        this.courseType = courseType;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(Integer dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public int getExpectCourseNum() {
        return expectCourseNum;
    }

    public void setExpectCourseNum(int expectCourseNum) {
        this.expectCourseNum = expectCourseNum;
    }

    public int getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(int courseNum) {
        this.courseNum = courseNum;
    }
}
